Bug 90332 - OpenOffice huge font syndrome
OpenOffice huge font syndrome
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2003-05-06 21:43 EDT by Bob Farley
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-27 11:24:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Farley 2003-05-06 21:43:37 EDT
Description of problem: 
I installed RH9.0 from box-set CD's on a Compaq Evo N610c and specified "generic
1400 x 1050 LCD", 31.5-90kHz Horiz, 59-75 Vert. scan settings, ATI Radeon 7500,
for the monitor which wasn't successfully autoprobed.

During the install, RH9 crashed during install with message:
File "/usr/lib/anaconda/iw/partition_gui.py", line 933, in new CB
self.editPartitionRequest(request, isNew=1)
File "/usr/lib/anaconda/iw/partition_gui.py", line 1095, in editPartitonRequest

raise RunimeError ("Returning partitions to state")
Runtime Error: Retuning partitions to state prior to edit failed.

All the applications (Mozilla, kate, emacs, kterm, abiword, gnumeric,...)
appear to work fine, with the notable exception of the entire OpenOffice suite.
 Openoffice started with an insanely huge font such that FILE would fill the
screen and the entire suite was unusable.  I used your package manager to remove
openoffice, then manually deleted the .openoffice directory, then reinstalled
the package, and now it doesn't run.  Manually installing the RPM and running it
produces the error, "unable to find libcomphelp2.so" and none of the openoffice
applications will fire up.

I've performed two "install/updates" to try to get Open Office running, to no
avail.	Clicking on the menu entries produces no result.  Opening a terminal
window and executing ./usr/lib/openoffice/soffice.bin produces:
./soffice.bin: error while loading shared libraries: libsvl641li.so: cannot
open shared object file: No such file or directory.

I downloaded the most recent OpenOffice tarball (1.0.3) from openoffice.org, and
attempted to install it, but even the installation utility suffers from the
huge-font syndrome (although the fonts seem a little smaller, they are still to
huge to work with), so I aborted the installation. The insanely huge fonts
OpenOffice uses are clear, sharp, with excellent contrast.  They are simply
huge, and one word fills an entire screen, rendering the interface unusable.

Version-Release number of selected component (if applicable):
RH9.0, OpenOffice 1.0.2 and 1.0.3

How reproducible:
maddeningly (always)

Steps to Reproduce:
1.click on OpenOffice application or execute command line in terminal
Actual results: Huge fonts render entire office suite useless

Expected results: functional interface

Additional info:
Comment 1 Kaj J. Niemi 2003-05-22 08:03:41 EDT
This is most likely a duplicate of bug #88581
Comment 2 Mark Lucia 2003-09-04 09:27:24 EDT
I also have this problem, which did not exsist with rh7.3 and/or rh8.0
Comment 3 Bob Farley 2003-09-04 11:32:58 EDT
Sorry I can't quite recall all the details, and I can only run 
openoffice as root, but I do now have it running.  The bug is 
related to #88581, but I was unable to modify the xf86config 
file(s) to fix the erroneous dpi value the fonts in OO use.  The 
porblem arises from the mislabeling of the values to be entered 
in RH9.0 graphical xf86 configuration utility - it asks for 
something like screen resolution (1400x1024 in my case), but 
really wants pixels/inch or something like that.

Apparently, most other applications ignore the crazy number thus 
produced for pixels/char, but OO generates monstrous fonts with 

Good Luck
Comment 4 Dan Williams 2004-02-27 11:24:05 EST
Please try current OOo 1.1.0, and reopen if problem still occurs

Note You need to log in before you can comment on or make changes to this bug.